datacache <- new.env(hash=TRUE, parent=emptyenv())

hgu95b <- function() showQCData("hgu95b", datacache)
hgu95b_dbconn <- function() dbconn(datacache)
hgu95b_dbfile <- function() dbfile(datacache)
hgu95b_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hgu95b_dbInfo <- function() dbInfo(datacache)

hgu95bORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hgu95b.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.HUMANCHIP_DB("hgu95b", "chip hgu95b", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hgu95b_dbconn())
}

